<script src="https://mas-utel.inconcertcc.com/d/67dd1c0a-0dd0-402e-b46e-9ae79343ee83" type="text/javascript"></script>


<div class="chakra-stack">
                    <div class="hbspt-form" id="hbspt-form-1666194747860-9887372702" >
                        <form accept-charset="UTF-8" enctype="multipart/form-data" class="" >
                            <div class="hs-dependent-field" data-reactid=".hbspt-forms-1.1:$0">
                                <div class="hs_areade_interes_ hs-areade_interes_ hs-fieldtype-select field hs-form-field" data-reactid=".hbspt-forms-1.1:$0.$areade_interes_">
                                    <label id="label-areade_interes_-36c2e494-3f4c-486a-96cc-056a4b906a0d" class="" placeholder="Enter your " for="areade_interes_-36c2e494-3f4c-486a-96cc-056a4b906a0d" data-reactid=".hbspt-forms-1.1:$0.$areade_interes_.0">
                                        <span data-reactid=".hbspt-forms-1.1:$0.$areade_interes_.0.0"></span>
                                    </label>
                                    <legend class="hs-field-desc" style="display:none;" data-reactid=".hbspt-forms-1.1:$0.$areade_interes_.1"></legend>
                                    <div class="input" data-reactid=".hbspt-forms-1.1:$0.$areade_interes_.$areade_interes_">
                                        <select id="area_de_interes" name="area_de_interes" class="hs-input invalid error is-placeholder" required>
                                            <option value="" disabled selected>Área de interés:*</option>
                                            <option value="Licenciatura">Licenciatura</option>
                                            <option value="Maestrías">Maestrías</option>
                                            <option value="Doctorado">Doctorado</option>
                                        
                          </div></div>
                            </div>

                            <div class="hs-dependent-field" data-reactid=".hbspt-forms-1.1:$0">
                                <div class="disabled-content-asig" style="display: none;">
                                    <label id="label-areade_interes_-36c2e494-3f4c-486a-96cc-056a4b906a0d" class="" placeholder="Enter your " for="areade_interes_-36c2e494-3f4c-486a-96cc-056a4b906a0d" data-reactid=".hbspt-forms-1.1:$0.$areade_interes_.0">
                                        <span data-reactid=".hbspt-forms-1.1:$0.$areade_interes_.0.0"></span>
                                    </label>
                                    <div class="input" data-reactid=".hbspt-forms-1.1:$0.$areade_interes_.$areade_interes_">
                                        <select id="asignatura_de_interes" name="asignatura_de_interes" class="hs-input invalid error is-placeholder" required></select>
                                    </div>
                                </div>
                            </div>

                            <div class="hs_firstname hs-firstname hs-fieldtype-text field hs-form-field" data-reactid=".hbspt-forms-1.1:$1">
                                <label id="label-firstname-36c2e494-3f4c-486a-96cc-056a4b906a0d" class="" placeholder="Enter your" for="firstname-36c2e494-3f4c-486a-96cc-056a4b906a0d" data-reactid=".hbspt-forms-1.1:$1.0">
                                    <span data-reactid=".hbspt-forms-1.1:$1.0.0"></span>
                                </label>
                                <legend class="hs-field-desc" style="display:none;" data-reactid=".hbspt-forms-1.1:$1.1"></legend>
                                <div class="input" data-reactid=".hbspt-forms-1.1:$1.$firstname">
                                    <input type="text" class="hs-input" id="name" name="name" placeholder="Nombre Completo: *" autocomplete="given-name" inputmode="text" onkeypress="return sinnumeros(event)" required />
                                </div>
                            </div>

                            <div class="hs_phone hs-phone hs-fieldtype-text field hs-form-field" data-reactid=".hbspt-forms-1.1:$2">
                                <label id="label-phone-36c2e494-3f4c-486a-96cc-056a4b906a0d" class="" placeholder="Enter your " for="phone-36c2e494-3f4c-486a-96cc-056a4b906a0d" data-reactid=".hbspt-forms-1.1:$2.0">
                                    <span data-reactid=".hbspt-forms-1.1:$2.0.0"></span>
                                </label>
                                <legend class="hs-field-desc" style="display:none;" data-reactid=".hbspt-forms-1.1:$2.1"></legend>
                                <div class="input" data-reactid=".hbspt-forms-1.1:$2.$phone">
                                    <input type="tel" class="hs-input" id="cellphone" name="cellphone" placeholder="Teléfono Celular (10 dígitos): *" autocomplete="tel" inputmode="numeric" onkeypress="return sintextonum(event)" required />
                                </div>
                            </div>

                            <div class="hs_email hs-email hs-fieldtype-text field hs-form-field" data-reactid=".hbspt-forms-1.1:$3">
                                <label id="label-email-36c2e494-3f4c-486a-96cc-056a4b906a0d" class="" placeholder="Enter your " for="email-36c2e494-3f4c-486a-96cc-056a4b906a0d" data-reactid=".hbspt-forms-1.1:$3.0">
                                    <span data-reactid=".hbspt-forms-1.1:$3.0.0"></span>
                                </label>
                                <legend class="hs-field-desc" style="display:none;" data-reactid=".hbspt-forms-1.1:$3.1"></legend>
                                <div class="input" data-reactid=".hbspt-forms-1.1:$3.$email">
                                    <input type="email" class="hs-input" id="email" name="email" placeholder="Correo Electrónico: *" autocomplete="email" inputmode="email" required />
                                </div>
                            </div>

                            <div class="hs_aviso_de_privacidad hs-aviso_de_privacidad hs-fieldtype-booleancheckbox field hs-form-field" data-reactid=".hbspt-forms-1.1:$4">
                                <legend class="hs-field-desc" style="display:none;" data-reactid=".hbspt-forms-1.1:$4.1"></legend>
                                <div class="input" data-reactid=".hbspt-forms-1.1:$4.$aviso_de_privacidad">
                                    <ul class="inputs-list" required="" data-reactid=".hbspt-forms-1.1:$4.$aviso_de_privacidad.0">
                                        <li class="hs-form-booleancheckbox" data-reactid=".hbspt-forms-1.1:$4.$aviso_de_privacidad.0.0">
                                            <label for="aviso_de_privacidad-36c2e494-3f4c-486a-96cc-056a4b906a0d" class="hs-form-booleancheckbox-display" data-reactid=".hbspt-forms-1.1:$4.$aviso_de_privacidad.0.0.0">
                                                <input type="checkbox" class="hs-input" name="aviso_de_privacidad" required />
                                                <span data-reactid=".hbspt-forms-1.1:$4.$aviso_de_privacidad.0.0.0.1">
                                                    He leído y acepto el 
                                                    <strong>
                                                        <a href="https://utel.mx/avisos-de-privacidad" target="_blank" rel="noopener">aviso de privacidad</a>
                                                    </strong>
                                                    <span class="hs-form-required">*</span>
                                                </span>
                                            </label>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="hs_submit hs-submit" data-reactid=".hbspt-forms-1.5">
                                <div class="hs-field-desc" style="display:none;" data-reactid=".hbspt-forms-1.5.0"></div>

<div class="actions" data-reactid=".hbspt-forms-1.5.1">
                                    <input type="submit" value="Solicita información" class="hs-button primary large">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script type="text/javascript">
        const attrsForm = {
            "Doctorado": {
                "Items": [
                    "Administracion Estrategica Empresarial", "Derecho", "Desarrollo Humano", "Educación"
                ],
                "Destiny": {
                    "URL": "https://mas-utel.inconcertcc.com/public/integration/process",
                  /*"Token": "18347f94fe080f682c6ae376bf825c43",*/
                    "Token": "5b56fc38bd98ca2a163064e0c41d6b83",
                    "Hook": "Inconcert"
                }
            },
            "Maestrías": {
                "Items": [
                    "Administración de Instituciones Educativas", "Administración de Negocios Deportivos", "Administración de Recursos Humanos", "Administración de Tecnologías de la Información", "Administración en Marketing Estratégico", "Administración Pública", "Administración Pública Colaboración Cifal Málaga", "Ciencia de Datos para Negocios", "Ciencias Computacionales y Telecomunicaciones", "Coaching Integral y Organizacional", "Comercio Internacional", "Derecho Procesal Constitucional", "Derecho Procesal Penal", "Derecho Procesal y Juicios Orales", "Dirección de Empresas Turísticas", "Dirección de Negocios de Alimentos y Bebidas", "Dirección de Proyectos de Innovación", "Dirección de Ventas", "Dirección e Ingeniería de Software", "Educación y Docencia", "Gestión Directiva en Salud", "Gestión Estratégica de Capital Humano", "Gestión Organizacional Positiva", "Ingeniería y Tecnología Ambiental", "Marketing Digital y e-Commerce", "MBA", "Mindfulness", "Psicología Transpersonal"
                ],
                "Destiny": {
                    "URL": "https://mas-utel.inconcertcc.com/public/integration/process",
                    "Token": "5b56fc38bd98ca2a163064e0c41d6b83",
                    "Hook": "Inconcert"
                }
            },
            "Licenciatura": {
                "Items": [
                    "Administración", "Administración de Empresas Turísticas", "Administración de Negocios", "Administración de Recursos Humanos", "Administración de Tecnologías de Información", "Administración de Ventas", "Administración y Finanzas", "Arte Digital y Multimedia", "Ciencias Políticas y Administración Pública", "Comunicación", "Comunicación Corporativa", "Comunicación Digital", "Comunicación Organizacional", "Contaduría Pública", "Contaduría y Finanzas", "Criminología y Criminalística", "Derecho", "Derecho Empresarial", "Derecho Internacional", "Desarrollo Sustentable y Ecoturismo", "Ingeniería en Sistemas Computacionales", "Ingeniería Industrial", "Ingeniería Industrial y Administración", "Marketing y Publicidad", "Medios Digitales", "Mercadotecnia", "Negocios Internacionales", "Psicología", "Psicología Organizacional", "Pedagogía", "MBA"
                ],
                "Destiny": {
                    "URL": "https://mas-utel.inconcertcc.com/public/integration/process",
                  /*"Token": "b5e3b30c2405519b228b8dfc2f34350d",*/
                    "Token": "3c9238d91e282bcb0ead1ad0e14c3566",
                    "Hook": "Inconcert"
                }
            },
        };

        $(document).ready(function () {
            $("#area_de_interes").change(function () {
                const tmpVal = $(this).val();
                if (tmpVal in attrsForm) {
                    var options = '<option value="" selected disabled>Selecciona...</option>';
                    for (index in attrsForm[tmpVal]["Items"]) {
                        options += `<option value="${attrsForm[tmpVal]["Items"][index]}">${attrsForm[tmpVal]["Items"][index]}</option>`;
                    };
                    $(".disabled-content-asig").css('display', 'block');
                    $("#asignatura_de_interes").html(options);
                }
            });

            $("form").submit(function (e) {
                if ($(this).attr('data-forze-submit') != 'submit') {
                    e.preventDefault();
                    e.stopPropagation();
                    const area = $("#area_de_interes").val();
                    if (area in attrsForm) {
                        fetch("https://ip.nf/me.json")
                            .then( (response) => response.json() )
                            .then( (result) => {
                                sendFormContact(area, result.ip);
                            })
                        .catch(() => sendFormContact(area));
                    }
                }
            });
        });

        function sendFormContact(area, locationInfo = {}) {
            const hook = attrsForm[area]["Destiny"]["Hook"];
            var idTransaccion = `${new Date().getFullYear()}1283${Date.now()}`;
            if (hook == "Inconcert") {
                var data = {
                    "serviceToken": attrsForm[area]["Destiny"]["Token"],
                    "serviceAction": "c2c",
                    "visitId": "",
                    "contentUrl": "",
                    "contentId": "",
                    "templateId": "",
                    "sourceId": "ORGANICO",
                    "thankyouPageUrl": "",
                    "formId": "",
                    "buttonId": "",
                    "searchCompanyByName": false,
                    "contactData": {
                        "email": $("#email").val(),
                        "firstname": $("#name").val(),
                        "lastname": "",
                        "language": navigator.languages.join(', '),
                        "owner": "",
                        "company": "",
                        "position": "",
                        "phone": $("#cellphone").val(),
                        "mobile": "",
                        "fax": "",
                        "website": "",
                        "address1": locationInfo.ip || "",
                        "address2": (locationInfo.latitude || "") + ', ' + (locationInfo.longitude || ""),
                        "country": locationInfo.country || "",
                        "state": locationInfo.country_code || "",
                        "city": locationInfo.city || "",
                        "zip": locationInfo.post_code || "",
                        "facebook": "",
                        "tiktok": "",
                        "twitter": "",
                        "skype": "",
                        "googlePlus": "",
                        "linkedin": "",
                        "instagram": "",
                        "crm_current_plan": "",
                        "crm_account_number": "",
                        "referredDate": "",
                        "referredByContactId": "",
                        "referredAtCampaignId": "",
                        "referredAtInteractionId": "",
                        "area-de-interes": $("#area_de_interes").val(),
                        "maestrias": $("#area_de_interes").val() == 'Maestrías' ? $("#asignatura_de_interes").val() : '',
                        "licenciatura": $("#area_de_interes").val() == 'Licenciatura' ? $("#asignatura_de_interes").val() : '',
                        "doctorados": $("#area_de_interes").val() == 'Doctorado' ? $("#asignatura_de_interes").val() : '',
                        "idTransaccion": idTransaccion,
                        "utm_campaign": '',
                        "utm_medium": '',
                        "utm_source": 'blog_educacion_global',
                    }
                };

                var settings = {
                    "method": "POST",
                    "url": attrsForm[area]["Destiny"]["URL"],
                    "contentType": "application/json",
                    "dataType": "json",
                    "data": JSON.stringify(data),
                    "async": true,
                    "crossDomain": true,
                    "processData": false
                }

                $.ajax(settings).done(function (response) {
                    setDataLayer(idTransaccion, locationInfo);
                });
            } else if (hook == "Zapier") {
                var data = {
                    "name": $("#name").val(),
                    "cellphone": $("#cellphone").val(),
                    "email": $("#email").val(),
                    "area": $("#area_de_interes").val(),
                    "interes": $("#asignatura_de_interes").val(),
                    "language": navigator.languages.join(', '),
                    "ip": locationInfo.ip || "",
                    "location": (locationInfo.latitude || "") + ', ' + (locationInfo.longitude || ""),
                    "country": locationInfo.country || "",
                    "state": locationInfo.country_code || "",
                    "city": locationInfo.city || "",
                    "zip": locationInfo.post_code || "",
                    "id": idTransaccion,
                    "agent": navigator.userAgent
                }

                try {
                    var xhr = new XMLHttpRequest();
                    xhr.open("POST", attrsForm[area]["Destiny"]["URL"]);
                    xhr.send(JSON.stringify(data));
                    setDataLayer(idTransaccion, locationInfo);
                } catch (e) {
                    console.error(e);
                }
            } else {
                return 0;
            }           
        }

        function sintextonum(e) {
            tecla = (document.all) ? e.keyCode : e.which;
            //Tecla de retroceso para borrar, siempre la permite
            if (tecla == 8) {
                return true;
            }
            // Patron de entrada, en este caso solo acepta numeros
            patron =/[0-9]/;
            tecla_final = String.fromCharCode(tecla);
            return patron.test(tecla_final);
        }

        function sinnumeros(e) {
            tecla = (document.all) ? e.keyCode : e.which;
            //Tecla de retroceso para borrar, siempre la permite
            if (tecla == 8) {
                return true;
            }
            // Patron de entrada, en este caso solo acepta letras
            var letters = /^[A-Za-záéíóúñ ]+$/;
            tecla_final = String.fromCharCode(tecla);
            return letters.test(tecla_final);
        }

        function setDataLayer(idTransaccion, locationInfo = {}) {
            var dataLayer  = window.dataLayer || [];
            dataLayer.push({ ecommerce: null });
            dataLayer.push({
                'event': 'datos_usuario',
                'nombre_usuario': $("#name").val(),
                'correo_electronico': $("#email").val(), 
                'telefono': $("#cellphone").val(),
            });
            dataLayer.push({
                'event': 'leadtransaction',
                'ecommerce': {
                    'purchase': {
                        'actionField': {
                            'id': idTransaccion,
                            'affiliation': window.location.href,
                            'revenue': '10',
                        },
                        'products': [{
                            'name': $("#area_de_interes").val(),
                            'sku': $("#asignatura_de_interes").val(),
                            'pais': locationInfo.country || "",
                            'price': null,
                            'brand': null,
                            'category': $("#area_de_interes").val(),
                            'quantity': 1
                        }]
                    }
                }
            });

            window.location.href = 'https://educacion-global.com/thank-you-page/';
        }

    </script>
    </div>
  </div>
</div>
